%%%%%
%%%%% This problem is used by: 5op,3,soldier
%%%%%
The figure shows a device for constructing a realistic
optical illusion. Two mirrors of equal focal length are put
against each other with their silvered surfaces facing
inward. A small object placed in the bottom of the cavity
will have its image projected in the air above. The way it
works is that the top mirror produces a virtual image, and
the bottom mirror then creates a real image of the virtual
image. (a) Show that if the image is to be positioned as
shown, at the mouth of the cavity, then the focal length of
the mirrors is related to the dimension $h$ via the equation
\begin{equation*}
                \frac{1}{f}    = \frac{1}{h}+\frac{1}{h+\left(\frac{1}{h}-\frac{1}{f}\right)^{-1}}       \qquad   .
\end{equation*}
(b) Restate the equation in terms of a single variable
$x=h/f$, and show that there are two solutions for $x$.
Which solution is physically consistent with the assumptions of the calculation?
